The NetBSD Project

CVS log for pkgsrc/net/ja-samba/Attic/Makefile

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / net / ja-samba

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.51, Sat Jan 12 06:07:39 2008 UTC (15 years ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2013Q2-base, pkgsrc-2013Q2, pkgsrc-2012Q4-base, pkgsrc-2012Q4, pkgsrc-2011Q4-base, pkgsrc-2011Q4, pkgsrc-2011Q2-base, pkgsrc-2011Q2, pkgsrc-2009Q4-base, pkgsrc-2009Q4, pkgsrc-2008Q4-base, pkgsrc-2008Q4, pkgsrc-2008Q3-base, pkgsrc-2008Q3, pkgsrc-2008Q2-base, pkgsrc-2008Q2, pkgsrc-2008Q1-base, pkgsrc-2008Q1, cube-native-xorg-base, cube-native-xorg, HEAD
Changes since 1.50: +1 -1 lines
FILE REMOVED

Remove ja-samba package.

ja-samba; Samba Japanese isn't maintained for these years and it contains
unfixed security problem.  And it is Samba 2.x base, so it's time to say
"Good by".

Revision 1.50 / (download) - annotate - [select for diffs], Wed Jul 4 20:54:49 2007 UTC (15 years, 7 months ago) by jlam
Branch: MAIN
CVS Tags: pkgsrc-2007Q4-base, pkgsrc-2007Q4, pkgsrc-2007Q3-base, pkgsrc-2007Q3
Changes since 1.49: +4 -2 lines
Diff to previous 1.49 (colored)

Make it easier to build and install packages "unprivileged", where
the owner of all installed files is a non-root user.  This change
affects most packages that require special users or groups by making
them use the specified unprivileged user and group instead.

(1) Add two new variables PKG_GROUPS_VARS and PKG_USERS_VARS to
    unprivileged.mk.  These two variables are lists of other bmake
    variables that define package-specific users and groups.  Packages
    that have user-settable variables for users and groups, e.g. apache
    and APACHE_{USER,GROUP}, courier-mta and COURIER_{USER,GROUP},
    etc., should list these variables in PKG_USERS_VARS and PKG_GROUPS_VARS
    so that unprivileged.mk can know to set them to ${UNPRIVILEGED_USER}
    and ${UNPRIVILEGED_GROUP}.

(2) Modify packages to use PKG_GROUPS_VARS and PKG_USERS_VARS.

Revision 1.49 / (download) - annotate - [select for diffs], Sat Oct 14 08:07:06 2006 UTC (16 years, 3 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2007Q2-base, pkgsrc-2007Q2, pkgsrc-2007Q1-base, pkgsrc-2007Q1, pkgsrc-2006Q4-base, pkgsrc-2006Q4
Changes since 1.48: +2 -2 lines
Diff to previous 1.48 (colored)

Update MASTER_SITES and/or HOMEPAGE, from Sergey Svishchev.

Revision 1.48 / (download) - annotate - [select for diffs], Sun Oct 1 14:56:46 2006 UTC (16 years, 4 months ago) by rillig
Branch: MAIN
Changes since 1.47: +12 -8 lines
Diff to previous 1.47 (colored)

Fixed pkglint warnings.

Revision 1.47 / (download) - annotate - [select for diffs], Fri Jul 7 15:49:33 2006 UTC (16 years, 6 months ago) by jlam
Branch: MAIN
CVS Tags: pkgsrc-2006Q3-base, pkgsrc-2006Q3
Changes since 1.46: +2 -2 lines
Diff to previous 1.46 (colored)

LIBTOOL_OVERRIDE generally doesn't need to be specified anymore... just
set OVERRIDE_DIRDEPTH to find any libtool scripts deeper in the WRKSRC
tree unless they're named something other than "libtool".

SHLIBTOOL_OVERRIDE generally doesn't need to be specified either -- just
define it to the empty list and shlibtool-override will look for libtool
scripts.

Revision 1.46 / (download) - annotate - [select for diffs], Fri May 12 23:07:14 2006 UTC (16 years, 8 months ago) by minskim
Branch: MAIN
CVS Tags: pkgsrc-2006Q2-base, pkgsrc-2006Q2
Changes since 1.45: +3 -1 lines
Diff to previous 1.45 (colored)

Set INSTALLATION_DIRS to create directories before installing files into
them.

Revision 1.45 / (download) - annotate - [select for diffs], Sun Apr 23 00:12:39 2006 UTC (16 years, 9 months ago) by jlam
Branch: MAIN
Changes since 1.44: +4 -2 lines
Diff to previous 1.44 (colored)

Modify packages that set PKG_USERS and PKG_GROUPS to follow the new
syntax as specified in pkgsrc/mk/install/bsd.pkginstall.mk:1.47.

Revision 1.44 / (download) - annotate - [select for diffs], Tue Mar 14 01:14:31 2006 UTC (16 years, 10 months ago) by jlam
Branch: MAIN
CVS Tags: pkgsrc-2006Q1-base, pkgsrc-2006Q1
Changes since 1.43: +1 -2 lines
Diff to previous 1.43 (colored)

Modify the pkginstall framework so that it manages all aspects of
INSTALL/DEINSTALL script creation within pkgsrc.

If an INSTALL or DEINSTALL script is found in the package directory,
it is automatically used as a template for the pkginstall-generated
scripts.  If instead, they should be used simply as the full scripts,
then the package Makefile should set INSTALL_SRC or DEINSTALL_SRC
explicitly, e.g.:

	INSTALL_SRC=	${PKGDIR}/INSTALL
	DEINSTALL_SRC=	# emtpy

As part of the restructuring of the pkginstall framework internals,
we now *always* generate temporary INSTALL or DEINSTALL scripts.  By
comparing these temporary scripts with minimal INSTALL/DEINSTALL
scripts formed from only the base templates, we determine whether or
not the INSTALL/DEINSTALL scripts are actually needed by the package
(see the generate-install-scripts target in bsd.pkginstall.mk).

In addition, more variables in the framework have been made private.
The *_EXTRA_TMPL variables have been renamed to *_TEMPLATE, which are
more sensible names given the very few exported variables in this
framework.  The only public variables relating to the templates are:

	INSTALL_SRC		INSTALL_TEMPLATE
	DEINSTALL_SRC		DEINSTALL_TEMPLATE
				HEADER_TEMPLATE

The packages in pkgsrc have been modified to reflect the changes in
the pkginstall framework.

Revision 1.43 / (download) - annotate - [select for diffs], Thu Jan 19 01:36:25 2006 UTC (17 years ago) by joerg
Branch: MAIN
Changes since 1.42: +10 -5 lines
Diff to previous 1.42 (colored)

Replace FILES_SUBST_SED usage with SUBST framework.

Revision 1.42 / (download) - annotate - [select for diffs], Thu Dec 29 06:21:59 2005 UTC (17 years, 1 month ago) by jlam
Branch: MAIN
Changes since 1.41: +1 -2 lines
Diff to previous 1.41 (colored)

Remove USE_PKGINSTALL from pkgsrc now that mk/install/pkginstall.mk
automatically detects whether we want the pkginstall machinery to be
used by the package Makefile.

Revision 1.41 / (download) - annotate - [select for diffs], Mon Dec 5 23:55:14 2005 UTC (17 years, 1 month ago) by rillig
Branch: MAIN
CVS Tags: pkgsrc-2005Q4-base, pkgsrc-2005Q4
Changes since 1.40: +8 -8 lines
Diff to previous 1.40 (colored)

Ran "pkglint --autofix", which corrected some of the quoting issues in
CONFIGURE_ARGS.

Revision 1.40 / (download) - annotate - [select for diffs], Mon Dec 5 20:50:46 2005 UTC (17 years, 1 month ago) by rillig
Branch: MAIN
Changes since 1.39: +8 -8 lines
Diff to previous 1.39 (colored)

Fixed pkglint warnings. The warnings are mostly quoting issues, for
example MAKE_ENV+=FOO=${BAR} is changed to MAKE_ENV+=FOO=${BAR:Q}. Some
other changes are outlined in

    http://mail-index.netbsd.org/tech-pkg/2005/12/02/0034.html

Revision 1.39 / (download) - annotate - [select for diffs], Tue Aug 23 11:48:50 2005 UTC (17 years, 5 months ago) by rillig
Branch: MAIN
CVS Tags: pkgsrc-2005Q3-base, pkgsrc-2005Q3
Changes since 1.38: +2 -2 lines
Diff to previous 1.38 (colored)

The real user name in PKG_USERS does not need to be escaped with double
backslashes anymore. A single backslash is enough. Changed the
definition in all affected packages. For those that are not caught, an
additional check is placed into bsd.pkginstall.mk.

Revision 1.38 / (download) - annotate - [select for diffs], Fri Aug 19 18:12:38 2005 UTC (17 years, 5 months ago) by jlam
Branch: MAIN
Changes since 1.37: +4 -4 lines
Diff to previous 1.37 (colored)

Merge CONF_FILES/SUPPORT_FILES and CONF_FILES_PERMS/SUPPORT_FILES_PERMS
as the INSTALL and DEINSTALL scripts no longer distinguish between
the two types of files.  Drop SUPPORT_FILES{,_PERMS} and modify the
packages in pkgsrc accordingly.

Revision 1.37 / (download) - annotate - [select for diffs], Fri Jul 8 16:47:42 2005 UTC (17 years, 6 months ago) by kristerw
Branch: MAIN
Changes since 1.36: +2 -1 lines
Diff to previous 1.36 (colored)

Ensure that ${PREFIX}/lib/security exist before trying to install in it.

Revision 1.36 / (download) - annotate - [select for diffs], Sun Jun 19 18:38:40 2005 UTC (17 years, 7 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2005Q2-base, pkgsrc-2005Q2
Changes since 1.35: +132 -43 lines
Diff to previous 1.35 (colored)

Update ja-samba package to 2.2.12.0.9.1 (2.2.12-ja-1.0beta1).

- Fix security problem up fixed by 2.2.12 and recent problem reported
  by CAN-2004-1154.

- pkgsrc changes:

	* Overhaul pkgsrc structure (as net/samba).
	* Adapt PKG_OPTIONS frame work.
	* Add support for winbind (not tested).
	* Add SAMBA_USER/SAMBA_GROUP for default user.
	* move codepages directory from share/samba to lib/samba.

Revision 1.35 / (download) - annotate - [select for diffs], Fri Jun 3 22:54:44 2005 UTC (17 years, 8 months ago) by jlam
Branch: MAIN
Changes since 1.34: +6 -6 lines
Diff to previous 1.34 (colored)

Teach the tools framework about mktemp.  Replace explicit tests for
mktemp with USE_TOOLS+=mktemp in the samba packages.

Revision 1.34 / (download) - annotate - [select for diffs], Mon Apr 11 21:46:48 2005 UTC (17 years, 9 months ago) by tv
Branch: MAIN
Changes since 1.33: +1 -2 lines
Diff to previous 1.33 (colored)

Remove USE_BUILDLINK3 and NO_BUILDLINK; these are no longer used.

Revision 1.33 / (download) - annotate - [select for diffs], Mon Feb 7 11:35:45 2005 UTC (17 years, 11 months ago) by jlam
Branch: MAIN
CVS Tags: pkgsrc-2005Q1-base, pkgsrc-2005Q1
Changes since 1.32: +6 -27 lines
Diff to previous 1.32 (colored)

Instantly deprecate USE_PAM from pkgsrc as its value is being set from
within NetBSD-current's bsd.own.mk, which conflicts with its usage in
pkgsrc.  The package that use USE_PAM have been converted to use the
bsd.options.mk framework.  This should fix PR pkg/29257.

Revision 1.32 / (download) - annotate - [select for diffs], Fri Jan 14 05:15:39 2005 UTC (18 years ago) by jlam
Branch: MAIN
Changes since 1.31: +2 -2 lines
Diff to previous 1.31 (colored)

Create a pam.buildlink3.mk file that is used by PAM-using packages.
It includes the correct buildlink3.mk file from either Linux-PAM
(security/PAM) or OpenPAM (security/openpam) and eventually will
support solaris-pam.  pam.buildlink3.mk will:

	* set PAMBASE to the base directory of the PAM files;
	* set PAM_TYPE to the PAM implementation used.

There are two variables that can be used to tweak the selection of
the PAM implementation:

PAM_DEFAULT is a user-settable variable whose value is the default
	PAM implementation to use.

PAM_ACCEPTED is a package-settable list of PAM implementations
	that may be used by the package.

Modify most packages that include PAM/buildlink3.mk to include
pam.buildlink3.mk instead.

Revision 1.31 / (download) - annotate - [select for diffs], Tue Dec 28 02:47:46 2004 UTC (18 years, 1 month ago) by reed
Branch: MAIN
Changes since 1.30: +2 -2 lines
Diff to previous 1.30 (colored)

The default location of the pkgsrc-installed rc.d scripts is now
under share/examples/rc.d. The variable name already was named
RCD_SCRIPTS_EXAMPLEDIR.

This is from ideas from Greg Woods and others.

Also bumped PKGREVISION for all packages using RCD_SCRIPTS mechanism
(as requested by wiz).

Revision 1.30 / (download) - annotate - [select for diffs], Sun Oct 3 16:16:39 2004 UTC (18 years, 4 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2004Q4-base, pkgsrc-2004Q4
Changes since 1.29: +2 -2 lines
Diff to previous 1.29 (colored)

Update ja-samba pacakge to 2.2.11.1.0.

- Update to samba-2.2.11-ja-1.0; essential changes are already applied
  to previous package.
- Apply changes between samba 2.2.10 and 2.2.11; fixed the security
  problem reported as CAN-2004-0815.

Revision 1.29 / (download) - annotate - [select for diffs], Sun Oct 3 00:17:53 2004 UTC (18 years, 4 months ago) by tv
Branch: MAIN
Changes since 1.28: +2 -1 lines
Diff to previous 1.28 (colored)

Libtool fix for PR pkg/26633, and other issues.  Update libtool to 1.5.10
in the process.  (More information on tech-pkg.)

Bump PKGREVISION and BUILDLINK_DEPENDS of all packages using libtool and
installing .la files.

Bump PKGREVISION (only) of all packages depending directly on the above
via a buildlink3 include.

Revision 1.28 / (download) - annotate - [select for diffs], Tue Aug 17 17:32:43 2004 UTC (18 years, 5 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2004Q3-base, pkgsrc-2004Q3
Changes since 1.27: +2 -3 lines
Diff to previous 1.27 (colored)

Update ja-samba package to 2.2.10.1.0 (samba-2.2.10-a-1.0).

Changes from 2.2.9.1.0 is a fix for CAN-2004-0686 included in samba 2.2.10
though it is already applied by ja-samba-2.2.9.1.0nb1 package.

This pkgsrc also contains a fix by Samba 2.2.11; smbd crash problem
by Windos XP SP2 client.

Revision 1.27 / (download) - annotate - [select for diffs], Fri Jul 23 16:45:42 2004 UTC (18 years, 6 months ago) by taca
Branch: MAIN
Changes since 1.26: +2 -1 lines
Diff to previous 1.26 (colored)

- Fix the problem that swat authentication always fail.  Noted by
  MORI Kouji on tech-pkg-ja mailing list.
- merge security fix related change between samba 2.2.9 and 2.2.10.
  See http://www.samba.org/samba/whatsnew/samba-2.2.10.html or
  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0686.

Bump package revision.

Revision 1.26 / (download) - annotate - [select for diffs], Sat Jun 5 13:16:35 2004 UTC (18 years, 8 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2004Q2-base, pkgsrc-2004Q2
Changes since 1.25: +25 -3 lines
Diff to previous 1.25 (colored)

Update ja-samba package to 2.2.9.1.0 (samba-2.2.9-ja-1.0).

- Introduce adduser/deluser script from samba2 package.
- Here is changes:

              Changelog of Samba2.2 Japanese Edition

                                                    Samba Users Group Japan

   Here is the fix list of Samba2.2 Japanese Edition.
   The sign of each line means:

   *: Fix of Samba Japanese Edition only
   x: Fix of sending a patch to Samba Team
   c: Fix of being commited a patch by Samba Team
   o: Fix of adopting a patch created by Samba team

samba-2.2.8a-ja-1.2alpha3
~~~~~~~~~~~~~~~~~~~~~~~~~
      o Fixed oplocks problem for Linux kernel 2.4 or later
                                                          [sugj-tech:6096]

samba-2.2.8a-ja-1.2alpha2
~~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Support Kerberos V not only for FreeBSD           [sugj-tech:6030]
      * Adjust some directory specifications for RPM      [sugj-tech:6029]
      * Fixed unavailable winbind auth problem on FreeBSD [sugj-tech:6049]
      * Fixed smbwrapper.64.so problem for 64bit Solaris  [sugj-tech:6048]

   Changes to the original version
      * Suppressed abortion in some commands when resolve order is specified
                                                          [sugj-tech:6031]
      * Fixed unchangeable password problem when Samba is PDC for BSDish OS
                                                          [sugj-tech:6073]

samba-2.2.8a-ja-1.2alpha1
~~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed unavailable Japanese problem for username in username map
                                                          [samba-jp:15437]

   Changes to the original version
      * Fixed build problem with Mac OS X                 [samba-jp:15461]
      * Fixed unaccessable problem in BSD/OS, Mac OS X    [samba-jp:15472]

Revision 1.25 / (download) - annotate - [select for diffs], Wed May 5 03:54:59 2004 UTC (18 years, 9 months ago) by snj
Branch: MAIN
Changes since 1.24: +7 -7 lines
Diff to previous 1.24 (colored)

Convert to buildlink3.

Revision 1.24 / (download) - annotate - [select for diffs], Wed Apr 21 21:09:32 2004 UTC (18 years, 9 months ago) by cube
Branch: MAIN
Changes since 1.23: +3 -3 lines
Diff to previous 1.23 (colored)

Drop localized *_USE_LDAP definitions and consistently use USE_OPENLDAP
instead.  As announced on tech-pkg.

Most notably affected are Postfix, sendmail, Samba and cyrus-saslauthd.  Be
sure to update your mk.conf accordingly.

Revision 1.23 / (download) - annotate - [select for diffs], Fri Mar 26 02:27:48 2004 UTC (18 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2004Q1-base, pkgsrc-2004Q1
Changes since 1.22: +2 -2 lines
Diff to previous 1.22 (colored)

PKGREVISION bump after openssl-security-fix-update to 0.9.6m.
Buildlink files: RECOMMENDED version changed to current version.

Revision 1.22 / (download) - annotate - [select for diffs], Sat Jan 3 18:49:49 2004 UTC (19 years, 1 month ago) by reed
Branch: MAIN
Changes since 1.21: +2 -2 lines
Diff to previous 1.21 (colored)

Bump package revisions for tiff update.
Tiff is backward compatible, but was broken on amd64 platform
so this makes sure new tiff is used.

Revision 1.21 / (download) - annotate - [select for diffs], Wed Nov 12 03:39:41 2003 UTC (19 years, 2 months ago) by jschauma
Branch: MAIN
CVS Tags: pkgsrc-2003Q4-base, pkgsrc-2003Q4
Changes since 1.20: +2 -1 lines
Diff to previous 1.20 (colored)

PKGREVISION++ after openssl update.

Revision 1.20 / (download) - annotate - [select for diffs], Sat Aug 30 22:51:25 2003 UTC (19 years, 5 months ago) by jlam
Branch: MAIN
Changes since 1.19: +2 -1 lines
Diff to previous 1.19 (colored)

Add definitions for DEINSTALL_EXTRA_TMPL and INSTALL_EXTRA_TMPL if
USE_PKGINSTALL is "YES".  bsd.pkg.install.mk will no longer automatically
pick up a INSTALL/DEINSTALL script in the package directory and assume that
you want it for the corresponding *_EXTRA_TMPL variable.

Revision 1.19 / (download) - annotate - [select for diffs], Sat Aug 30 01:31:11 2003 UTC (19 years, 5 months ago) by taca
Branch: MAIN
Changes since 1.18: +1 -2 lines
Diff to previous 1.18 (colored)

Update ja-samba package to ja-samba-2.2.8.1.1.1 (samba-2.2.8a-ja-1.1).



              Changelog of Samba2.2 Japanese Edition

                                                    Samba Users Group Japan

   Here is the fix list of Samba2.2 Japanese Edition.
   The sign of each line means:

   *: Fix of Samba Japanese Edition only
   x: Fix of sending a patch to Samba Team
   c: Fix of being commited a patch by Samba Team

samba-2.2.8a-ja-1.1beta9
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed build problem with Solaris for Sparc        [sugj-tech:5695]
      * Fixed html conversion problem for swat            [sugj-tech:5696]

samba-2.2.8a-ja-1.1beta8
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Fixed ineffective cd(chdir) problem in smbsh      [sugj-tech:5647]
      * Fixed smbsh problem with BSD original csh         [sugj-tech:5649]
      * Added target in Makefile for ipk packages         [sugj-tech:5661]

samba-2.2.8a-ja-1.1beta7
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Fixed smbsh problem for Linux except i386         [sugj-tech:5619]
      * Fixed libtool dependence problem with VFS         [sugj-tech:5624]

samba-2.2.8a-ja-1.1beta6
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Fixed smbsh problem for some OSs                  [sugj-tech:5562]
      * Fixed libtool dependence problem with VFS         [sugj-tech:5593]
      * Fixed Kerberos V problem                          [sugj-tech:5594]
      * Fixed smbsh problem for Linux except i386         [sugj-tech:5596]

samba-2.2.8a-ja-1.1beta5
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed no daemon problem for smbd/nmbd with RPM package
                                                          [sugj-tech:5515]
      * Fixed alternative getpass() problem in configure  [sugj-tech:5522]

   Changes to the original version
      * Fixed huge file problem for Linux/ppc             [sugj-tech:5531]
      * Fixed 64bits shared library problem on Solaris    [sugj-tech:5535]

samba-2.2.8a-ja-1.1beta4
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed existent gettext library problem            [sugj-tech:5385]
      * Added -t (specify coding system) option for smbsh [sugj-tech:5476]

   Changes to the original version
      * Suppressed any warnings on Solaris with Forte C   [sugj-tech:5370]
      * Fixed smbsh problem for some OSs                  [sugj-tech:5381]
      * Fixed missing low-level getcwd() problem          [sugj-tech:5415]
      * Fixed timestamp problem for client programs       [sugj-tech:5470]

samba-2.2.8a-ja-1.1beta3
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed failure to compile for HP-UX 11.00          [sugj-tech:5320]
      * Fixed failure to compile for Solaris              [sugj-tech:5322]

   Changes to the original version
      * Suppressed any warnings on Solaris                [sugj-tech:5324]
      * Suppressed any warnings on some platforms for PAM [sugj-tech:5328]

samba-2.2.8a-ja-1.1beta2
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Fixed ineffective problem of mangling char        [sugj-tech:5308]
      * Fixed shared library problem for IRIX             [sugj-tech:5310]
      * Suppressed any warnings on some platforms         [sugj-tech:5310]

samba-2.2.8a-ja-1.1beta1
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Fixed an unsetable problem for group permission from WinXP
                                                          [samba-jp:14786]
      * Fixed NT architecture problem for WinXP/2003 Server
                                                          [samba-jp:14789]
      * Fixed configure problem for Solaris               [samba-jp:14793]
      * Fixed password timeout ploblem with LDAP          [sugj-tech:5299]
      * Fixed missing send/receive ploblem for huge files [samba-jp:14822]
      c Fixed using CIDR of 'hosts allow/deny' parameters [samba-jp:14615]

Revision 1.18 / (download) - annotate - [select for diffs], Thu Jul 17 22:51:17 2003 UTC (19 years, 6 months ago) by grant
Branch: MAIN
Changes since 1.17: +2 -2 lines
Diff to previous 1.17 (colored)

s/netbsd.org/NetBSD.org/

Revision 1.17 / (download) - annotate - [select for diffs], Wed Jun 4 16:25:33 2003 UTC (19 years, 8 months ago) by taca
Branch: MAIN
Changes since 1.16: +7 -7 lines
Diff to previous 1.16 (colored)

Update ja-samba package to 2.2.8.1.1.0nb1.

* Sync with net/samba package:

   - clean up findsmp; no need to prepend ${WRKSRC}.
   - Don't create ${PREFIX}/private.
   - Stop installing HTML documentation.

* Allow longer share name to Windows XP and Windows 2003 server as well as
  Windows 2000.  Discussion was on the samba-jp mailing list.

Revision 1.16 / (download) - annotate - [select for diffs], Wed May 28 08:59:47 2003 UTC (19 years, 8 months ago) by taca
Branch: MAIN
Changes since 1.15: +2 -3 lines
Diff to previous 1.15 (colored)

MESSAGE.security has gone.

Revision 1.15 / (download) - annotate - [select for diffs], Tue May 27 15:59:08 2003 UTC (19 years, 8 months ago) by taca
Branch: MAIN
Changes since 1.14: +2 -3 lines
Diff to previous 1.14 (colored)

update ja-samba package to 2.2.8.1.1.0 (samba-2.2.8a-ja-1.0).
Quote from Changelog.en.


   Here is the fix list of Samba2.2 Japanese Edition.
   The sign of each line means:

   *: Fix of Samba Japanese Edition only
   x: Fix of sending a patch to Samba Team
   c: Fix of being commited a patch by Samba Team

samba-2.2.8a-ja-1.0
~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed permissions for docs/ja/htmldocs/BrowsingFAQ/image/*.gif
                                                          [sugj-tech:5281]

   Changes to the original version
      * Fixed Japanese file name problem for DFS          [samba-jp:14700]

samba-2.2.8a-ja-1.0alpha3
~~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Fixed the problem which depends on size of off_t  [sugj-tech:5272]

samba-2.2.8a-ja-1.0alpha2
~~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Fixed unmatched problem for int<->unsigned int    [sugj-tech:5248]
      * Fixed unmatched problem for uint32<->unsigned int [sugj-tech:5253]

Revision 1.14 / (download) - annotate - [select for diffs], Fri May 2 11:56:06 2003 UTC (19 years, 9 months ago) by wiz
Branch: MAIN
Changes since 1.13: +2 -1 lines
Diff to previous 1.13 (colored)

Dependency bumps, needed because of devel/pth's major bump, and related
dependency bumps.

Revision 1.9.2.1 / (download) - annotate - [select for diffs], Sun Apr 20 12:31:56 2003 UTC (19 years, 9 months ago) by grant
Branch: netbsd-1-6-1
Changes since 1.9: +16 -57 lines
Diff to previous 1.9 (colored) next main 1.10 (colored)

Pull up revisions 1.10-1.13 (requested by taca in ticket #1268):

Update samba package to samba-2.2.7b-1.0.
This fixes samba's known security problem.

Revision 1.13 / (download) - annotate - [select for diffs], Wed Apr 9 05:05:12 2003 UTC (19 years, 9 months ago) by taca
Branch: MAIN
Changes since 1.12: +2 -3 lines
Diff to previous 1.12 (colored)

Update ja-samba package to 2.2.7.2.1.0 (samba-2.2.7b-ja-1.0).


              Changelog of Samba2.2 Japanese Edition

                                                    Samba Users Group Japan

   Here is the fix list of Samba2.2 Japanese Edition.
   The sign of each line means:

   *: Fix of Samba Japanese Edition only
   x: Fix of sending a patch to Samba Team
   c: Fix of being commited a patch by Samba Team

samba-2.2.7b-ja-1.0
~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      c Fixed a security problem which is fixed at samba 2.2.8a
                                                          [sugj-tech:5233]
      c Fixed using CIDR of 'hosts allow/deny' parameters [samba-jp:14286]

Revision 1.12 / (download) - annotate - [select for diffs], Tue Apr 8 03:39:13 2003 UTC (19 years, 9 months ago) by taca
Branch: MAIN
Changes since 1.11: +2 -2 lines
Diff to previous 1.11 (colored)

Update ja-samba to 2.2.7.1.1.1nb2.

I forgot to add one more patch file.

Revision 1.11 / (download) - annotate - [select for diffs], Mon Apr 7 18:10:07 2003 UTC (19 years, 9 months ago) by taca
Branch: MAIN
Changes since 1.10: +2 -1 lines
Diff to previous 1.10 (colored)

Update ja-samba package to 2.2.7.1.1.1nb1.

Manually merge changes between samba 2.2.7a and samba 2.2.7b,
addressing both CAN-2003-0201 and CAN-2003-0085 by The Common
Vulnerabilities and Exposures (CVE) project.

Revision 1.10 / (download) - annotate - [select for diffs], Sat Mar 29 08:18:45 2003 UTC (19 years, 10 months ago) by taca
Branch: MAIN
Changes since 1.9: +16 -57 lines
Diff to previous 1.9 (colored)

Update ja-samba package to ja-samba-2.2.7.1.1.1 (samba 2.2.7a-1.1).
This contains security problem solved by samba 2.2.8.

pkgsrc changes:

o pkgsrc organization changesd as samba package.
o note explicitly security problem fixed by samba 2.2.8.
o remove own quota support patch.

Changes from ja-samba-2.2.4.1.0 package:


              Changelog of Samba2.2 Japanese Edition

                                                    Samba Users Group Japan

   Here is the fix list of Samba2.2 Japanese Edition.
   The sign of each line means:

   *: Fix of Samba Japanese Edition only
   x: Fix of sending a patch to Samba Team
   c: Fix of being commited a patch by Samba Team

samba-2.2.7a-ja-1.1
~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      c Fixed two security problems which is fixed at samba 2.2.8
                                                          [sugj-tech:5211]

samba-2.2.7a-ja-1.0beta1
~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed build problem when gettext 0.11.x installed [sugj-tech:5177]
      * Fixed memory leak of winbindd                     [sugj-tech:5152]
      * Added 'ldap referrals' parameter                  [sugj-tech:5124]
      * Fixed parameter of 'printing' was set on FreeBSD  [sugj-tech:5155]
      * Fixed reseting parameters of smbd and nmbd by SIGHUP
                                                          [sugj-tech:5160]
      * Fixed setting change of the 'printing' parameter works together
        with print-related parameters                     [sugj-tech:5155]
      * Fixed error message when old getgroups() is used  [sugj-tech:5166]
      * Fixed warning message when leap second is set     [sugj-tech:5166]
      * Fixed altname command of smbclient                [sugj-tech:5019]
      * Fixed close share command of smbcontrol with Japanese
                                                          [sugj-tech:5014]
      * Fixed compile problem on Tru64 UNIX               [sugj-tech:5033]
      * Fixed compile problem of tdb directory            [sugj-tech:5033]
      * Fixed to enable domain logon to Japanese domain name
                                                          [sugj-tech:5043]
      * Fixed smbspool command with Japanese              [sugj-tech:5048,5112]
      * Fixed recycle.c of VFS module                     [samba-jp:13590]
      * Fixed memory allocation of make_printerdef        [sugj-tech:5106]
      * Fixed compile problem before FreeBSD 2.2.8        [sugj-tech:5112]
      * Fixed querydispinfo command of rpcclient          [sugj-tech:5112]
      * Fixed rpcclient for Japanese resource             [sugj-tech:5112]
      * Changed option of client tools from '-t' to '-T'  [sugj-tech:5077]
      * Update smbchartool and removed jcode.pl           [sugj-tech:5091]
      * Fixed encoding when using euc3 coding system      [sugj-tech:5122]

samba-2.2.5-ja-1.0beta3
~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Added %j macro which means printing job name       [sugj-tech:4998]

   Changes to the original version
      * Fixed counting characters of unistr_to_dos()       [sugj-tech:5004]
      * Fixed compile problem with --with-quotas on NetBSD [sugj-tech:4965]

Revision 1.9 / (download) - annotate - [select for diffs], Tue Jan 28 22:03:51 2003 UTC (20 years ago) by jlam
Branch: MAIN
CVS Tags: netbsd-1-6-1-base
Branch point for: netbsd-1-6-1
Changes since 1.8: +5 -5 lines
Diff to previous 1.8 (colored)

Instead of including bsd.pkg.install.mk directly in a package Makefile,
have it be automatically included by bsd.pkg.mk if USE_PKGINSTALL is set
to "YES".  This enforces the requirement that bsd.pkg.install.mk be
included at the end of a package Makefile.  Idea suggested by Julio M.
Merino Vidal <jmmv at menta.net>.

Revision 1.8 / (download) - annotate - [select for diffs], Fri Jan 10 07:43:31 2003 UTC (20 years ago) by cjep
Branch: MAIN
Changes since 1.7: +2 -1 lines
Diff to previous 1.7 (colored)

USE_PKGLOCALEDIR=yes

Revision 1.7 / (download) - annotate - [select for diffs], Wed Oct 9 00:00:21 2002 UTC (20 years, 3 months ago) by jlam
Branch: MAIN
Changes since 1.6: +9 -9 lines
Diff to previous 1.6 (colored)

buildlink1 -> buildlink2

Revision 1.6 / (download) - annotate - [select for diffs], Thu Sep 19 09:04:16 2002 UTC (20 years, 4 months ago) by jlam
Branch: MAIN
Changes since 1.5: +1 -11 lines
Diff to previous 1.5 (colored)

Take advantage of the auto-generation and installation of rc.d scripts.

Revision 1.5 / (download) - annotate - [select for diffs], Wed Sep 18 21:15:14 2002 UTC (20 years, 4 months ago) by jlam
Branch: MAIN
Changes since 1.4: +1 -3 lines
Diff to previous 1.4 (colored)

When using bsd.pkg.install.mk, if a DEINSTALL or INSTALL file already
exists, then use it as the default value of DEINSTALL_EXTRA_TMPL or
INSTALL_EXTRA_TMPL.

Revision 1.4 / (download) - annotate - [select for diffs], Sun Jul 7 14:36:40 2002 UTC (20 years, 6 months ago) by taca
Branch: MAIN
CVS Tags: pkgviews-base, pkgviews, netbsd-1-6-RELEASE-base, netbsd-1-6
Changes since 1.3: +7 -9 lines
Diff to previous 1.3 (colored)

Update ja-samba package to 2.2.4.1.0 (samba-ja 2.2.4-ja-1.0).

This is localized message based on samba 2.2.4.  Its own feature:

- Localized winbind support (though winbind isn't supported on NetBSD.)
- Japanese support for resource name: file name, share name, NetBIOS name
  and NetBIOS user name.
- Machine depended character code for file and directory name.
- Japanese documents.
- Internatilnalized swat.

It also fixes security problem found on samba 2.2.3 and later which
happens with --with-tdbsam option.  (It isn't enabled on default.)

Revision 1.3 / (download) - annotate - [select for diffs], Fri Jun 28 17:13:59 2002 UTC (20 years, 7 months ago) by taca
Branch: MAIN
Changes since 1.2: +2 -1 lines
Diff to previous 1.2 (colored)

- Add two additional fix about localization.
- bump package revision.

Revision 1.2 / (download) - annotate - [select for diffs], Tue Jun 25 23:22:13 2002 UTC (20 years, 7 months ago) by jlam
Branch: MAIN
Changes since 1.1: +9 -6 lines
Diff to previous 1.1 (colored)

Make this package look more like net/samba, and do some minor tweaks to the
wording in comments and the description.

Revision 1.1.1.1 / (download) - annotate - [select for diffs] (vendor branch), Tue Jun 25 15:31:34 2002 UTC (20 years, 7 months ago) by taca
Branch: TNF
CVS Tags: pkgsrc-base
Changes since 1.1: +0 -0 lines
Diff to previous 1.1 (colored)

Importing ja-samba 2.2.2.1.1 package.

This is modified version deveopled by Samba Users Group Japan.

o I18N for SWAT.

	Select display language based on information supplied by
	Web browser.

o L10N for Japanese.

	Support various use of Japanese name; share name, computer
	name, workgroup name, user name.

	Solve some problems when different version of Windows are
	mixed.  Especially, vanilla samba dosen't support vendor
	depended characters completely.  (Those characters are
	differently handled among Windows 95, Windows 98, Windows NT
	and something changed in Windows XP.)  This cause practical
	problem on real world.

o Some Bugfix go ahead to original samba.

o Some original feature

	Supoprt a recycle bin.

Currently it is samba 2.2.2 base, and they are developing newer
version based on samba 2.2.4.


Revision 1.1 / (download) - annotate - [select for diffs], Tue Jun 25 15:31:34 2002 UTC (20 years, 7 months ago) by taca
Branch: MAIN

Initial revision

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>